export declare const errors: {
    readonly FILE_EMPTY: readonly ["File did not contain any vCard", true];
    readonly FILE_CRLF: readonly ["Lines ending in bare linefeeds instead of CR+LF", false];
    readonly VCARD_BAD_TYPE: readonly ["Not a vCard", true];
    readonly VCARD_NOT_BEGIN: readonly ["vCard did not start with BEGIN line", true];
    readonly VCARD_MISSING_PROP: readonly ["Missing required property", true];
    readonly PROP_NAME_EMPTY: readonly ["Empty property or group name", true];
    readonly PROP_NAME_EOL: readonly ["Property or group name terminated by line end", true];
    readonly PROP_MISSING_COLON: readonly ["Internal error: Property not terminated by colon", true];
    readonly PROP_DUPLICATE: readonly ["Illegal duplicate property", true];
    readonly PARAM_UNCLOSED_QUOTE: readonly ["Quoted parameter missing closing quote", true];
    readonly PARAM_MISSING_EQUALS: readonly ["Missing equals sign after parameter name", true];
    readonly PARAM_INVALID_NUMBER: readonly ["Invalid number", true];
    readonly PARAM_INVALID_TYPE: readonly ["Internal error: Unexpected type", true];
    readonly PARAM_NOT_SINGLE: readonly ["Internal error: Single parameter isn't", true];
    readonly PARAM_DUPLICATE: readonly ["Illegal duplicate parameter", true];
    readonly PARAM_UNESCAPED_COMMA: readonly ["Unescaped comma in parameter value", false];
    readonly PARAM_BAD_BACKSLASH: readonly ["Backslash found in parameter value", false];
    readonly PARAM_BAD_CIRCUMFLEX: readonly ["Circumflex not part of escape sequence in parameter value", false];
    readonly VALUE_INVALID: readonly ["Invalid property value", true];
    readonly VALUE_UNESCAPED_COMMA: readonly ["Unescaped comma in value", false];
};
export declare type errorKeys = keyof typeof errors;
