import { errorKeys } from './errorCodes.js';
export declare type Nag<Attributes> = {
    key: string;
    description: string;
    isError: boolean;
    attributes?: Attributes;
};
/**
 * Add a problem for this nag list
 * @param nags The list to append this nag to
 * @param key The error message key
 * @param attributes Optional additional attributes
 */
export declare function nag<Attributes>(nags: Nag<Attributes>[], key: errorKeys, attributes?: Attributes): void;
export declare type VCardNagAttributes = {
    property: string;
    parameter?: string;
    line?: string;
};
/**
 * Append a nag specific to a vCard or vCard line
 * @param nags The list to append this nag to
 * @param key The error message key
 * @param attr Specific information for this vCard
 */
export declare function nagVC(nags: Nag<VCardNagAttributes>[], key: errorKeys, attributes: VCardNagAttributes): void;
export declare const SHORTEN_TO = 30;
/**
 * Shortens a string to at most `MAX_DEBUG` chars (plus a trailing `…`, if it was shortened)
 * @param s String
 * @returns Potentially shortened string
 */
export declare function shorten(s: string, shortenTo?: number): string;
