import { isKnownProperty } from './vcard4Types.js';
export function groupVCard(vcard) {
    var _a, _b, _c, _d, _e, _f, _g;
    var _h;
    var grouped = {};
    for (var _i = 0, _j = Object.keys(vcard); _i < _j.length; _i++) {
        var propertyName = _j[_i];
        // Cannot use `for (const [k, v] of Object.entries(vcard))` due to
        // https://github.com/microsoft/TypeScript/issues/46718
        if (isKnownProperty(propertyName)) {
            var propertyInfo = vcard[propertyName];
            if (Array.isArray(propertyInfo)) {
                for (var _k = 0, propertyInfo_1 = propertyInfo; _k < propertyInfo_1.length; _k++) {
                    var e = propertyInfo_1[_k];
                    var groupName = (_a = e.group) !== null && _a !== void 0 ? _a : 'top';
                    (_b = grouped[groupName]) !== null && _b !== void 0 ? _b : (grouped[groupName] = {});
                    if (propertyName in grouped[groupName]) {
                        grouped[groupName][propertyName].push(e);
                    }
                    else {
                        grouped[groupName][propertyName] = [
                            e,
                        ];
                    }
                }
            }
            else {
                var groupName = (_c = propertyInfo.group) !== null && _c !== void 0 ? _c : 'top';
                (_d = grouped[groupName]) !== null && _d !== void 0 ? _d : (grouped[groupName] = {});
                grouped[groupName][propertyName] = propertyInfo;
            }
        }
    }
    if ('x' in vcard) {
        for (var _l = 0, _m = Object.entries(vcard.x); _l < _m.length; _l++) {
            var _o = _m[_l], propertyName = _o[0], propertyInfo = _o[1];
            for (var _p = 0, propertyInfo_2 = propertyInfo; _p < propertyInfo_2.length; _p++) {
                var e = propertyInfo_2[_p];
                var groupName = (_e = e.group) !== null && _e !== void 0 ? _e : 'top';
                (_f = grouped[groupName]) !== null && _f !== void 0 ? _f : (grouped[groupName] = {});
                (_g = (_h = grouped[groupName]).x) !== null && _g !== void 0 ? _g : (_h.x = {});
                var x = grouped[groupName].x;
                if (propertyName in x) {
                    x[propertyName].push(e);
                }
                else {
                    x[propertyName] = [e];
                }
            }
        }
    }
    return grouped;
}
//# sourceMappingURL=group.js.map