export declare type NonEmptyArray<T> = [T, ...T[]];
/**
 * Whether the array is not empty.
 * @param a An array to check
 * @returns Non-emptiness (as a type guard)
 */
export declare function isNonEmptyArray<T>(a: T[]): a is NonEmptyArray<T>;
/**
 * Eliminate empty arrays.
 * @param a A possibly empty array
 * @returns A non-empty array or undefined
 */
export declare function maybeArray<T>(a: T[]): NonEmptyArray<T> | undefined;
